Skip to main content

List all available LLM supported providers in NetApp Console local deployment

GET /supportedProviders

Returns a list of all available Large Language Model (LLM) supported providers that can be configured and used with the Agentic Platform.

Supports filtering by providerType, isEnabled, and isConfigured.

Parameters

Name Type In Required Description

filter

string

query

False

Specifies which fields should be matched in order to return a resource when listing supported providers.

Supported operators:

  • eq - Equality

  • ne - Not equal

  • in - Membership in a list

Expressions can be chained with and or or to build complex filters. Parentheses can be used for grouping and precedence control.

Filterable fields are name, isEnabled, and isConfigured.

URL example: "filter=isEnabled%20eq%20true"

URL example: "filter=name%20eq%20%27openai%27%20or%20name%20eq%20%27anthropic%27"

URL example: "filter=isConfigured%20eq%20false%20and%20isEnabled%20eq%20true"

OpenAPI examples: "isEnabled eq true", "name in ('openai','anthropic')"

count

boolean

query

False

Indicates if the total number of resources should be returned.

Response

Status: 200, Successfully retrieved the list of supported providers.
Name Type Required Description

items

array[supportedProvider_1.0_get_response_body]

True

Array of supported provider resources.

type

string

True

Media type of the resource collection. Defined values are:

  • "application/vnd.netapp.bxp.supportedProviders"

version

string

True

Version of the resource. Defined values are:

  • "1.0"

Example response
{
  "items": [
    {
      "description": "OpenAI API - Access to GPT models including GPT-4, GPT-4o, and GPT-3.5",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "isConfigured": false,
      "isEnabled": true,
      "metadata": {
        "createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
        "creationTimestamp": "2022-10-06T20:58:16.305662Z",
        "labels": [
          {
            "name": "string",
            "value": "string"
          }
        ],
        "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
        "modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
      },
      "name": "openai",
      "supportedModelTypes": [
        "chat",
        "completion",
        "embedding",
        "image",
        "audio"
      ],
      "type": "application/vnd.netapp.bxp.supportedProvider",
      "version": "1.0"
    }
  ],
  "type": "application/vnd.netapp.bxp.supportedProviders",
  "version": "1.0"
}

Response

Status: 401, Unauthorized - authentication required.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Response

Status: 403, Forbidden - insufficient permissions.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Response

Status: 500, Internal server error.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Error

Status: 400, Bad request - invalid query parameters.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Definitions

See Definitions

type_bxp_label

Name/value pair.

Name Type Required Description

name

string

True

Name of the label.

value

string

True

Value of the label.

type_bxp_metadata

Metadata associated with the resource.

Name Type Required Description

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

supportedProvider_1.0_get_response_body

Name Type Required Description

description

string

False

Human-readable description of the supported provider.

id

string

True

Globally unique identifier of the supported provider. Defined values are:

  • Conforms to the UUIDv4 Schema

isConfigured

boolean

False

Indicates whether this supported provider has been configured with credentials.

isEnabled

boolean

False

Indicates whether this supported provider is currently enabled for use.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

True

Name of the LLM supported provider. Defined values are:

  • "openai" - OpenAI API

  • "anthropic" - Anthropic Claude API

  • "commonOpenAI" - Generic OpenAI-compatible API

supportedModelTypes

array[string]

False

List of model types supported by this supported provider.

type

string

True

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.supportedProvider"

version

string

True

Version of the resource. Defined values are:

  • "1.0"

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.